Subject: Re: [PATCH] Xilinx UART Lite 2.6.18 driver

From: Peter Korsgaard <[email-masked]>
Date: Fri, 13 Oct 2006 09:22:59 +0200

>>>>> "David" == David H Lynch <[email-masked]> writes:

Hi,

David>     Nobody has given me a reason yet why the UartLite should
David> init different from the 8250, and absent a reason, I would
David> mimic the 8250. I do not think there is reason for a different
David> routing name.  The ml403 8250 init code deals with multiple
David> 8250's, I did the same with UartLite.

8250 is not the only serial driver. I think the reason why 8250 uses
it's own struct is simple that it's a really old driver. Newer drivers
like atmel_serial.c also uses the platform bus.

David>     I am not sure I did nto follow everything on linux-serial -
David> but I think Peter was asked to remove support for additional
David> uarts. I am not sure why.

Remove support? I don't remember anything about that.

-- 
Bye, Peter Korsgaard